EventProducingFilter (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.intermediate

## Class EventProducingFilter

- java.lang.Object
- - org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy
  - - org.apache.fop.render.intermediate.EventProducingFilter

- All Implemented Interfaces:
    IFDocumentHandler

      public class EventProducingFilter
      extends IFDocumentHandlerProxy

  A filter that uses the Event Notification System to broadcast IF events.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventProducingFilter(IFDocumentHandler ifDocumentHandler, FOUserAgent userAgent)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endPage()` Indicates the end of a page

    - ### Methods inherited from class org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy

      `endDocument, endDocumentHeader, endDocumentTrailer, endPageContent, endPageHeader, endPageSequence, endPageTrailer, getConfigurator, getContext, getDocumentNavigationHandler, getFontInfo, getMimeType, getStructureTreeEventHandler, handleExtensionObject, setDefaultFontInfo, setDocumentLocale, setFontInfo, setResult, startDocument, startDocumentHeader, startDocumentTrailer, startPage, startPageContent, startPageHeader, startPageSequence, startPageTrailer, supportsPagesOutOfOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventProducingFilter

          public EventProducingFilter(IFDocumentHandler ifDocumentHandler,
                                      FOUserAgent userAgent)

      Constructor
      Parameters:
        `ifDocumentHandler` - the IFDocumentHandler to filter
        `userAgent` - the FOUerAgent

  - ### Method Detail

    - #### endPage

          public void endPage()
                       throws IFException

      Description copied from class: `IFDocumentHandlerProxy`
      Indicates the end of a page
      Specified by:
        `endPage` in interface `IFDocumentHandler`
      Overrides:
        `endPage` in class `IFDocumentHandlerProxy`
      Throws:
        `IFException` - if an error occurs while handling this event

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.